import { defineConfig } from 'astro/config'
import sitemap from '@astrojs/sitemap'

export default defineConfig({
  sitemap: true,
  base: '/',
  outDir: 'dist',
  publicDir: 'static',
  site: 'https://fgo-ta.com/',
  integrations: [sitemap()],
  trailingSlash: "never"
})
