export function findSlug(filepath: string) {
  return filepath.match(/(?:.*[\\/])(.+)(?:\.json)/)?.[1]
}

export function plsLoadImage(record: Record<string, () => Promise<{default: ImageMetadata}>>, path: string) {
  const loadedImage = record[path]?.();
  if (!loadedImage) throw new Error("Asset was not found:" + path);
  return loadedImage;
}
